summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--libraries/td_lib/README7
-rw-r--r--libraries/td_lib/slack-desc19
-rw-r--r--libraries/td_lib/td_lib.SlackBuild52
-rw-r--r--libraries/td_lib/td_lib.info8
4 files changed, 86 insertions, 0 deletions
diff --git a/libraries/td_lib/README b/libraries/td_lib/README
new file mode 100644
index 0000000000..9cc61d584a
--- /dev/null
+++ b/libraries/td_lib/README
@@ -0,0 +1,7 @@
+td_lib contains common library procedures which are shared among Thomas
+Dickey's 'ded' and 'cm_tools' utilities, among others.
+
+Note that this is only a build-time dependency of 'ded' and 'cm_tools'.
+The SlackBuild will create a package for it, but you do not need to
+install it unless you want to. As long as the compiled source directory
+is alongside the 'ded' and/or 'cm_tools' directories, they will build.
diff --git a/libraries/td_lib/slack-desc b/libraries/td_lib/slack-desc
new file mode 100644
index 0000000000..d583043129
--- /dev/null
+++ b/libraries/td_lib/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+td_lib: td_lib (Thomas Dickey's common library procedures)
+td_lib:
+td_lib: td_lib contains common library procedures which are shared among
+td_lib: the 'ded' and 'cm_tools' utilities, among others.
+td_lib:
+td_lib: Homepage: http://invisible-island.net/ded/ded.html
+td_lib:
+td_lib:
+td_lib:
+td_lib:
+td_lib:
diff --git a/libraries/td_lib/td_lib.SlackBuild b/libraries/td_lib/td_lib.SlackBuild
new file mode 100644
index 0000000000..2c87ce6f88
--- /dev/null
+++ b/libraries/td_lib/td_lib.SlackBuild
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+# Slackware build script for td_lib
+# Written by slakmagik <jsun@freeshell.org>
+# Released under the WTFPL
+
+PRGNAM=td_lib
+VERSION=20061029
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 \
+ -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" ./configure --prefix=/usr
+make
+make prefix=$PKG/usr install
+
+rmdir $PKG/usr/bin
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a [CR]* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/td_lib/td_lib.info b/libraries/td_lib/td_lib.info
new file mode 100644
index 0000000000..3197ea2d49
--- /dev/null
+++ b/libraries/td_lib/td_lib.info
@@ -0,0 +1,8 @@
+PRGNAM="td_lib"
+VERSION="20061029"
+HOMEPAGE="http://invisible-island.net/ded/ded.html"
+DOWNLOAD="ftp://invisible-island.net/ded/td_lib-20061029.tgz"
+MD5SUM="6397a132e26917d0881046e19c36f95b"
+MAINTAINER="slakmagik"
+EMAIL="jsun@freeshell.org"
+APPROVED="rworkman"